B10-AUTH(8)

NAME
b10-auth - Authoritative DNS server

SYNOPSIS

b10-auth [-n] [-u username] [-v]

DESCRIPTION

The b10-auth daemon provides the BIND 10 authoritative DNS server. Normally it is started by the bind10(8) boss process.

This daemon communicates with other BIND 10 components over a b10-msgq(8) C-Channel connection. If this connection is not established, b10-auth will exit. It receives its configurations from b10-cfgmgr(8).

OPTIONS

The arguments are as follows:

-n
    Do not cache answers in memory. The default is to use the cache for faster responses. The cache keeps the most recent 30,000 answers (positive and negative) in memory for 30 seconds (instead of querying the data source, such as SQLite3 database, each time).

-u username
    The user name of the b10-auth daemon. If specified, the daemon changes the process owner to the specified user. The username must be either a valid numeric user ID or a valid user name. By default the daemon runs as the user who invokes it.

-v
    Enabled verbose mode. This enables diagnostic messages to STDERR.

CONFIGURATION AND COMMANDS

The configurable settings are:

database_file defines the path to the SQLite3 zone file when using the sqlite datasource. The default is /usr/local/var/bind10-devel/zone.sqlite3.

datasources configures data sources. The list items include: type to optionally choose the data source type (such as “memory”); class to optionally select the class (it defaults to “IN”); and zones to define the file path name and the origin (default domain). By default, this is empty.

    Note

    In this development version, currently this is only used for the memory data source. Only the IN class is supported at this time. By default, the memory data source is disabled. Also, currently the zone file must be canonical such as generated by named-compilezone -D.

listen_on is a list of addresses and ports for b10-auth to listen on. The list items are the address string and port number. By default, b10-auth listens on port 53 on the IPv6 (::) and IPv4 (0.0.0.0) wildcard addresses.

statistics-interval is the timer interval in seconds for b10-auth to share its statistics information to b10-stats(8). Statistics updates can be disabled by setting this to 0. The default is 60.

The configuration commands are:

loadzone tells b10-auth to load or reload a zone file. The arguments include: class which optionally defines the class (it defaults to “IN”); origin is the domain name of the zone; and datasrc optionally defines the type of datasource (it defaults to “memory”).

    Note

    In this development version, currently this only supports the IN class and the memory data source.

sendstats tells b10-auth to send its statistics data to b10-stats(8) immediately.

shutdown exits b10-auth. (Note that the BIND 10 boss process will restart this service.)

STATISTICS DATA

The statistics data collected by the b10-stats daemon include:

auth.queries.tcp
    Total count of queries received by the b10-auth server over TCP since startup.

auth.queries.udp
    Total count of queries received by the b10-auth server over UDP since startup.

FILES

/usr/local/var/bind10-devel/zone.sqlite3 — Location for the SQLite3 zone database when database_file configuration is not defined.

SEE ALSO

b10-cfgmgr(8), b10-loadzone(8), b10-msgq(8), b10-stats(8), b10-zonemgr(8), bind10(8), BIND 10 Guide.

HISTORY

The b10-auth daemon was first coded in October 2009.

COPYRIGHT
Copyright © 2010 Internet Systems Consortium, Inc. ("ISC")